import Foundation
import App

Foundation.SoundDef("sfx/Weapons/PPhaser.wav", "PPhaser", 0.7)

abbrev = 'DJJuno'				
iconName = 'DJJuno'					
longName = 'U.S.S. Juno'					
shipFile = 'DJJuno'				
menuGroup = 'Fed Ships'			
playerMenuGroup = 'Fed Ships'		
species = App.SPECIES_MARAUDER			

Foundation.ShipDef.DJJuno = Foundation.FedShipDef(abbrev, species, { 'name': longName, 'iconName': iconName, 'shipFile': shipFile })
Foundation.ShipDef.DJJuno.dTechs = { 'Fed Ablative Armor': {
	"Plates": ["Forward Ablative Armor", "Aft Ablative Armor", "Dorsal Ablative Armor", "Ventral Ablative Armor"]
}}
Foundation.ShipDef.DJJuno.desc = "U.S.S. Juno\nNCC-92193\nCommissioned in 2402\nA small ship of 7 decks that was developed based off of technologies from the Century Class, the U.S.S. Juno is one of 15 initial Outrider Class starships ordered by Starfleet Command.  The ship is a multi-role vessel designed primarily for short range exploration and policing actions.  The Juno has a crew of 65.\nThe ship is provided with a standard phaser outfit for defensive operations, and a limited number of quantum torpedoes for heavier engagements if extra force is required.\nArmaments:\n5 Phaser Arrays\n2 Quantum Torpedo Launchers - 1 For, 1 Aft\n\n\nNamed for the beach in Normandy stormed and taken by Canadian soldiers on D-Day."
Foundation.ShipDef.DJJuno.sBridge = 'galaxybridge'
Foundation.ShipDef.DJJuno.fMaxWarp = 9.9
Foundation.ShipDef.DJJuno.fWarpEntryDelayTime = 1.2

if menuGroup:           Foundation.ShipDef.DJJuno.RegisterQBShipMenu(menuGroup)
if playerMenuGroup:     Foundation.ShipDef.DJJuno.RegisterQBPlayerShipMenu(playerMenuGroup)
